{% block navbar %}

<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-geen navbar-light">
<!-- Left navbar links -->
<ul class="navbar-nav">
    <li class="nav-item">
    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
    </li>

    <!-- Loop on Menu table for the navbar -->
    {% for navbar_parent in navbar %}
        {% if not navbar_parent.parent%}
            {% if navbar_parent.has_children%}
            <li class="nav-item dropdown">
                <a href="{{ navbar_parent.link }}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle">
                    {{ navbar_parent.name }}
                    {% if navbar_parent.badge_display %}
                        <span class="right badge {% if navbar_parent.badge_type %}{{ navbar_parent.badge_type }}{% else %}badge-info{% endif %}">{{ navbar_parent.badge_value }}</span>
                    {% endif %}
                </a>
                <ul aria-labelledby="dropdownSubMenu1" class="dropdown-menu border-0 shadow">
                    {% for navbar_item in navbar %}
                        {% if navbar_item.parent == navbar_parent.id %}
                            <li><a href="{{ navbar_item.link }}" class="dropdown-item">{{ navbar_item.name }}</a></li>
                        {% endif %} 
                    {% endfor %}
                </ul>
            </li>
                
            {% else %}
                {% with navbar_item=navbar_parent %}
                    {% include "adminlte/navbar-item.html" %}
                {% endwith %}
            {% endif %} 
        {% endif %} 
    {% endfor %}
    <!-- End loop on navbar items -->

</ul>

<!-- SEARCH FORM -->
<form class="form-inline ml-3">
    <div class="input-group input-group-sm">
    <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
    <div class="input-group-append">
        <button class="btn btn-navbar" type="submit">
        <i class="fas fa-search"></i>
        </button>
    </div>
    </div>
</form>

<!-- NAVBAR-RIGHT -->
<ul class="navbar-nav ml-auto">
    {% for navbar_right_item in navbar_right %}
        <li class="nav-item">
        <a class="nav-link" href="{{ navbar_right_item.link }}">
            <i class="mr-1 fas {% if navbar_right_item.icon %}{{ navbar_right_item.icon }}{% endif %}"></i>
            {{ navbar_right_item.name }}
            {% if navbar_right_item.badge_display %}
                <span class="badge ml-1 {% if navbar_right_item.badge_type %}{{ navbar_right_item.badge_type }}{% else %}badge-info{% endif %}">{{ navbar_right_item.badge_value }}</span>
            {% endif %}
        </a>
        </li>
    {% endfor %}
</ul>

</nav>
<!-- /.navbar -->

{% endblock %}
